List projects
curl --request GET \
--url https://api.pickfu.com/v1/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pickfu.com/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pickfu.com/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"projects": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"archived": true,
"bookmarked": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"user": "<string>",
"surveyCount": 123,
"surveys": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"status": "<string>",
"type": "<string>",
"countryCode": "<string>",
"sampleSize": 123,
"numResponses": 123,
"createdAt": "<string>",
"publishedAt": "<string>",
"completedAt": "<string>",
"creatorName": "<string>",
"targeting": [
"<string>"
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"projects": [
{
"id": "<string>",
"name": "<string>"
}
],
"elements": [
{
"id": "<string>",
"question": "<string>",
"subtype": "<string>",
"variant": "<string>",
"position": 123
}
]
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}Projects
List projects
Returns a paginated list of projects scoped to your team/account. Use query parameters to filter by bookmarked or archived status.
GET
/
projects
List projects
Authorizations
OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}
Query Parameters
Page number
Required range:
x >= 1Number of projects per page
Required range:
1 <= x <= 100Filter to bookmarked projects only
Filter to archived projects only
Was this page helpful?
⌘I
